diff --git a/books/bookvol10.3.pamphlet b/books/bookvol10.3.pamphlet
index cfdb92f..a5ab298 100644
--- a/books/bookvol10.3.pamphlet
+++ b/books/bookvol10.3.pamphlet
@@ -46132,8 +46132,8 @@ InnerFreeAbelianMonoid(S: SetCategory, E:CancellationAbelianMonoid, un:E):
         f:$ + g:$                  == plus(f, g)
         (f:$ = g:$):Boolean        == commutativeEquality(f,g)
         n:E * s:S                  == makeTerm(s, n)
-        n:NonNegativeInteger * f:$ == mapExpon(n * #1, f)
-        coerce(f:$):OutputForm     == outputForm(f, "+", #2 * #1, 0)
+        n:NonNegativeInteger * f:$ == mapExpon(x +-> n*x, f)
+        coerce(f:$):OutputForm     == outputForm(f, "+", (x,y) +-> y*x, 0)
         mapCoef(f, x)              == mapExpon(f, x)
         mapGen(f, x)               == mapGen(f, x)$Rep
 
diff --git a/changelog b/changelog
index b222bff..c690c05 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090512 tpd src/axiom-website/patches.html 20090512.04.tpd.patch
+20090512 tpd books/bookvol10.3 IFAMON +-> conversion
 20090512 tpd src/axiom-website/patches.html 20090512.03.tpd.patch
 20090512 tpd books/bookvol10.4 CTRIGMNP +-> conversion
 20090512 tpd src/axiom-website/patches.html 20090512.02.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 3fd4af3..14d07cd 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1258,5 +1258,7 @@ bookvol10.3 GOPT +-> conversion<br/>
 bookvol10.3 IAN +-> conversion<br/>
 <a href="patches/20090512.03.tpd.patch">20090512.03.tpd.patch</a>
 bookvol10.4 CTRIGMNP +-> conversion<br/>
+<a href="patches/20090512.04.tpd.patch">20090512.04.tpd.patch</a>
+bookvol10.3 IFAMON +-> conversion<br/>
  </body>
 </html>
